Library Version 18.1.40

operator--
Prev | Chapter 16. Db_map_iterator | Next

## operator--

### Function Details

    self& operator--()

Pre-decrement.

#### Return Value

This iterator after decremented.

#### See Also

db_map_base_iterator::operator--()

    self operator--(int)

Post-decrement.

#### Return Value

Another iterator having the old value of this iterator.

#### See Also

db_map_base_iterator::operator--(int)

### Class

db_map_iterator

Prev | Up | Next
operator++ | Home | operator *